Name:          net-tools
Version:       2.10
Release:       3mamba
Summary:       The basic tools for setting up networking.
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/directory/software-development/linux/
Source:        https://github.com/ecki/net-tools.git/v%{version}/net-tools-%{version}.tar.bz2
Source1:       net-tools-1.60.20130916git-config.in
Patch1:        %{name}-1.60-miitool-gcc33-1.patch
Patch2:        %{name}-1.60-envpath.patch
Patch3:        %{name}-1.60-arp-1.patch
Patch4:        %{name}-1.60-gcc4.patch
Patch5:        %{name}-1.60-ipv6-1.patch
Patch6:        %{name}-1.60-kernel_headers-3.patch
Patch7:        %{name}-1.60-nameif-2.patch
Patch8:        %{name}-1.60-virtualname-1.patch
Patch9:        %{name}-1.60-kernel2.6.29.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      yp-tools
Requires:      inetutils
Provides:      /bin/hostname

%description
The net-tools package contains the basic tools needed for setting up networking: ifconfig, netstat, route and others.

%debug_package

%prep
%setup -q
%define _default_patch_fuzz 2
%patch2 -p1

cat >> config.make << _EOF
HAVE_ARP_TOOLS=1
HAVE_HOSTNAME_TOOLS=1
_EOF

%build
#cp %{SOURCE1} ./config.in

yes "" | make \
   BINDIR=%{_bindir} \
   SBINDIR=%{_sbindir} \
   CC=%{_target_platform}-gcc \
   AR=%{_target_platform}-ar

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   BINDIR=%{_bindir} \
   SBINDIR=%{_sbindir} \
   CC=%{_target_platform}-gcc \
   AR=%{_target_platform}-ar

# compatibility symlinks
#ln -sf ../bin/route %{buildroot}%{_sbindir}/route
#ln -sf ../bin/ifconfig %{buildroot}%{_sbindir}/ifconfig

# the following is provided by yp-tools
rm %{buildroot}%{_bindir}/{,nis,yp}domainname
rm -f %{buildroot}%{_mandir}/man1/{,nis,yp}domainname*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/dnsdomainname
%{_bindir}/hostname
%{_bindir}/ifconfig
%{_bindir}/netstat
%{_bindir}/route
%{_sbindir}/arp
%{_sbindir}/ipmaddr
%{_sbindir}/iptunnel
%{_sbindir}/mii-tool
%{_sbindir}/nameif
%{_sbindir}/plipconfig
%{_sbindir}/rarp
%{_sbindir}/slattach
%{_mandir}/man1/dnsdomainname.*
%{_mandir}/man1/hostname.1*
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Tue Jul 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10-3mamba
- remove /usr/sbin/ifconfig and route compatibility symlink before sbin to bin merge

* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10-2mamba
- remove *domainname files provides by yp-tools and require yp-tools

* Mon Jan 25 2021 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic version update by autodist

* Sun Nov 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60.20181103git-2mamba
- rebuilt with debug package

* Fri Jun 21 2019 Automatic Build System <autodist@mambasoft.it> 1.60.20181103git-1mamba
- automatic version update by autodist

* Mon Feb 19 2018 Automatic Build System <autodist@mambasoft.it> 1.60.20180212git-1mamba
- automatic version update by autodist

* Sun Aug 07 2016 Automatic Build System <autodist@mambasoft.it> 1.60.20160710git-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 1.60.20130916git-1mamba
- update to 1.60.20130916git

* Thu Apr 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-9mamba
- don't exclude hostname, use this instead of the one from inetutils package

* Mon Jul 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-8mamba
- excluded hostname and ifconfig provided by inettools
- added requirement for inettools for upgrade compatibility

* Thu Mar 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-7mamba
- added patch to build with current kernel headers

* Mon Jul 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-6mamba
- added URL entry
- added kernel_headers, nameif, virtualname,arp and ipv6 patches

* Tue Sep 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-5qilnx
- cross platform build support
- added gcc4 patch

* Tue Mar 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-4qilnx
- rebuild with mii support, packet radio and others (no decnet yet, it needs libdnet)

* Mon Dec 15 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.60-3qilnx
- enabled ipv6 support
- patch for gcc 3.3 applied

* Mon Apr 14 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.60-1qilnx
- Creation of net-tools package
